<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlDevDataPathClkCfg_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlDevDataPathClkCfg_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>DataPath clock configuration.  
 <a href="structrl_dev_data_path_clk_cfg__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_device.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a48a56c877b644e646ecbf843fd49b1e7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a48a56c877b644e646ecbf843fd49b1e7"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_dev_data_path_clk_cfg__t.html#a48a56c877b644e646ecbf843fd49b1e7">laneClkCfg</a></td></tr>
<tr class="memdesc:a48a56c877b644e646ecbf843fd49b1e7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock COnfiguration <br />
 0 -SDR Clock <br />
 1 - DDR Clock (Only valid value for CSI2) <br />
. <br /></td></tr>
<tr class="separator:a48a56c877b644e646ecbf843fd49b1e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac16e12081d1febed234b409ff37c5c4f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac16e12081d1febed234b409ff37c5c4f"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_dev_data_path_clk_cfg__t.html#ac16e12081d1febed234b409ff37c5c4f">dataRate</a></td></tr>
<tr class="memdesc:ac16e12081d1febed234b409ff37c5c4f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data rate selection <br />
 0000b - 900 Mbps (DDR only) <br />
 0001b - 600 Mbps (DDR only) <br />
 0010b - 450 Mbps (SDR, DDR) <br />
 0011b - 400 Mbps (DDR only) <br />
 0100b - 300 Mbps (SDR, DDR) <br />
 0101b - 225 Mbps (DDR only) <br />
 0110b - 150 Mbps (SDR, DDR) <br />
 Others - Reserved <br />
. <br /></td></tr>
<tr class="separator:ac16e12081d1febed234b409ff37c5c4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f3389f41b1f73cac85aed2f2d461720"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5f3389f41b1f73cac85aed2f2d461720"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_dev_data_path_clk_cfg__t.html#a5f3389f41b1f73cac85aed2f2d461720">reserved</a></td></tr>
<tr class="memdesc:a5f3389f41b1f73cac85aed2f2d461720"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:a5f3389f41b1f73cac85aed2f2d461720"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>DataPath clock configuration. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_device.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
